<?xml version="1.0" encoding="UTF-8"?>
<!-- vi:set ts=4: -->
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
                   "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [

	<!ENTITY binary "fauhdli">
]>
<!-- 
  $Id$

  Copyright (C) 2009 FAUmachine Team <info@faumachine.org>.
  This program is free software, GPL-2 (or any later version). See COPYING.
-->
<refentry>
	<refentryinfo>
		<address>
			<email>&lt;info@faumachine.org&gt;</email>
		</address>
		<corpauthor>FAUmachine Team</corpauthor>
		<copyright>
			<year>2009</year>
			<holder>
				FAUmachine Team
				Developed at Friedrich Alexander University 
				Erlangen-Nuremberg.
			</holder>
		</copyright>
		<legalnotice>
			<para>
				FAUhdlc comes with ABSOLUTELY NO WARRANTY.
				FAUhdlc is free software; you can redistribute
				it and/or modify it under the terms of the GNU
				General Public License as published by the
				Free Software Foundation; either version 2 of
				the License, or (at your option) any later 
				version. See COPYING for details.
			</para>
		</legalnotice>
	</refentryinfo>
	<refmeta>
		<refentrytitle>FAUHDLI</refentrytitle>
		<manvolnum>1</manvolnum>
	</refmeta>
	<refnamediv>
    		<refname>&binary;</refname>
		<refpurpose>
			Interprete intermediate code that was generated from
			<command>fauhdlc</command>.
		</refpurpose>
	</refnamediv>
	<refsynopsisdiv>
		<cmdsynopsis>
			<command>&binary;</command>
			<arg>
				<option>
					--debug
				</option>
			</arg>
			<arg choice="req">
				<option>
					--simulate
					<replaceable>top-entity</replaceable>
				</option>
			</arg>
			<arg>
				<option>
					--output
					<replaceable>vcd-file</replaceable>
				</option>
			</arg>
			<arg rep="repeat">
				<option>
					--trace
					<replaceable>entity</replaceable>
				</option>
			</arg>

			<arg choice="req">
				<option>
					<replaceable>input-file</replaceable>
				</option>
			</arg>
		</cmdsynopsis>
	</refsynopsisdiv>
	<refsect1>
	<title>DESCRIPTION</title>
		<para>
			<command>&binary;</command> is an interpreter for the intermediate
			code files that result from the VHDL compiler
			<command>fauhdlc</command>.
		</para>
	</refsect1>
	<refsect1>
		<title>OPTIONS</title>
		<para>
			These programs follow the usual GNU command line 
			syntax, with long options starting with two dashes 
			(`-'). A summary of options is included below.
		</para>
		<variablelist>
			<varlistentry>
				<term>
					<option>-d</option>,
					<option>--debug</option>
				</term>
				<listitem>
					<para>
						Enable debugging, which will print out line numbers
						for each intermediate code line that is processed.
					</para>
				</listitem>
			</varlistentry>
			<varlistentry>
				<term>
					<option>-s</option>,
					<option>--simulate</option>
					<replaceable>top-entity</replaceable>
				</term>
				<listitem>
					<para>
						Use <replaceable>top-entity</replaceable> as start
						of the simulation, e.g."work:test_bench".
					</para>
				</listitem>
			</varlistentry>
			<varlistentry>
				<term>
					<option>-o</option>,
					<option>--output</option>
					<replaceable>vcd-file</replaceable>
				</term>
				<listitem>
					<para>
						Output the signal changes into
						<replaceable>vcd-file</replaceable>. The result can be
						viewed with <command>gtkwave</command>.
					</para>
				</listitem>
			</varlistentry>
			<varlistentry>
				<term>
					<option>-t</option>,
					<option>--trace</option>
					<replaceable>entity</replaceable>
				</term>
				<listitem>
					<para>
						Trace all signals in 
						<replaceable>entity</replaceable>. 
						Use in conjunction with <option>-o</option>.
						May be specified more than once.
					</para>
				</listitem>
			</varlistentry>
		</variablelist>
	</refsect1>
	<refsect1>
		<title>SEE ALSO</title>
		<para>
			<citerefentry>
				<refentrytitle>fauhdlc</refentrytitle>
				<manvolnum>1</manvolnum>
			</citerefentry>
		</para>
	</refsect1>
	<refsect1>
		<title>CONTACT</title>
		<para>
			Please report all bugs to FAUmachine Team
			<email>info@faumachine.org</email>.
			<ulink url="http://www.faumachine.org">FAUmachine/fauhdlc Homepage
			</ulink>.
		</para>
	</refsect1>
</refentry>
